ProMods 2.45 has been released. It runs on game version 1.36 and requires ALL map DLCs. It is not compatible with open beta 1.37.

Please note that due to the COVID-19 pandemic, we are sadly unable to expand our server capacity as per usual and the free download servers are likely to be overwhelmed upon release. Please be kind and patient or use the paid service for a better experience.

Search found 1 match

by gad653
13 Jan 2018 16:35
Forum: Pусский
Topic: ProMods для ETS 2 v.1.30
Replies: 47
Views: 24900

Re: ProMods для ETS 2 v.1.30

Ребят такая беда, играл просто на лицензии всё было норм, после установки 2.25 стала вылетать игра с ошибкой Runtime, других модов не стоит только 2.25 и всё, подскажет кто нибудь , что сделать, уже всю сеть перевернул...